import QtQuick 2.2
import Sailfish.Silica 1.0

Page {
    id: aboutPage

    SilicaFlickable {
        anchors.fill: parent

        contentHeight: column.height

        Column {
            id: column

            width: aboutPage.width

            spacing: Theme.paddingLarge

            PageHeader { title: qsTr("About") }

            Label {
                anchors {
                    left: parent.left
                    right: parent.right

                    leftMargin: Theme.paddingLarge
                    rightMargin: Theme.paddingLarge
                }

                wrapMode: Text.Wrap

                font.pixelSize: Theme.fontSizeSmall
                text: qsTr("
\"Boxing Timer\" is a customizable timer for fighting sports like boxe.

You can set duration, rest and number of rounds. If you set 0 rounds, timer loops and count number of rounds.

You can save, load and delete your settings giving a name to them.
                ")
            }

            SectionHeader { text: qsTr("Developers") }
            Label {
                anchors {
                    left: parent.left
                    right: parent.right

                    leftMargin: Theme.paddingLarge
                    rightMargin: Theme.paddingLarge
                }

                wrapMode: Text.Wrap

                font.pixelSize: Theme.fontSizeSmall
                text: qsTr("
Copyright (C) 2017 Claudio Maradonna
Unitoo Team, Italy
                ")
            }

            Repeater {
                model: ListModel {
                    ListElement { label: "Email" ; value: "claudio@unitoo.pw" }
                    ListElement { label: "Diaspora" ; value: "claudiounitoo@framasphere.org" }
                    ListElement { label: "Mastodon" ; value: "@unitoo" }
                    ListElement { label: "XMPP" ; value: "unitoo@fysh.in" }
                }

                delegate: Row {
                    width: aboutPage.width

                    spacing: Theme.paddingLarge

                    Label {
                        width: parent.width * 0.2; height: 25

                        font.pixelSize: Theme.fontSizeTiny
                        text: label

                        horizontalAlignment: Text.AlignRight
                        verticalAlignment: Text.AlignVCenter

                        color: Theme.secondaryColor
                    }

                    Label {
                        height: 30

                        font.pixelSize: Theme.fontSizeSmall
                        text: value

                        verticalAlignment: Text.AlignVCenter
                    }
                }
            }

            SectionHeader { text: qsTr("License") }
            Label {
                anchors {
                    left: parent.left
                    right: parent.right

                    leftMargin: Theme.paddingLarge
                    rightMargin: Theme.paddingLarge
                }

                wrapMode: Text.Wrap

                font.pixelSize: Theme.fontSizeSmall
                text: qsTr("
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
                ")
            }
        }
    }
}
